Ubuntu

Printer does not provide REQUIRED job history.

Reported by James Tunnicliffe on 2012-04-04
162
This bug affects 53 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Precise
High
Till Kamppeter
system-config-printer (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

Trying to print to a Samsung ML-3710ND networked printer, which talks PostScript.

[IMPACT]

Everyone who uses a printer with bad IPP implementation (as the Samsung printer here) cannot print any more in Ubuntu Precise. In Oneiric and older it worked perfectly (regression). Same regression happens for the print server facility of the LiveBox (common router supplied by internet access providers, especially in France). The real bug are bad (not fully standard-conforming) implementations of IPP in the routers and printers.

As fix/workaround we add a second IPP backend to CUPS, named "ipp14". This backend is the IPP backend of the latest CUPS 1.4.x release and is exactly the same as the "ipp" backend of Oneiric.

We had the same problem already in Oneiric, and there I have issued an SRU which downgraded the "ipp" backend to the state of CUPS 1.4.x (= the state of Natty). As the there happened a lot of development on the IPP backend in CUPS 1.5.x which fixed many other bugs I do not want to throw all this away (it even has fixed some other bugs in the first SRU for Precise: bug 1000172, bug 1000758), therefore I have added the old backend for the few quirky devices.

Users will be informed about the new "ipp14" backend in the release notes of 12.04.1.

[TESTCASE]

Unfortunately, this can only be tested with the appropriate hardware.

To reproduce, take Precise with all updates (but without my PPA) and try to print on a printer connected to a LiveBox or on a buggy Samsung printer via IPP (for the Samsung printer you need to select IPP manually when the system-config-printer SRU is applied). Printing will not work. Install the proposed package (cups 1.5.3-0ubuntu2) and you will have an "ipp14" backend. Change the URI of your queue to use this backend, replacing the "ipp://" in the beginning by "ipp14://" by one of the following methods:

1. In a terminal window, run the command

lpstat -v

This gives you a list with all print queues. Entries for the printer connected to your LiveBox (or for the buggy network printer) look like this:

device for ipp-printer: ipp://192.168.1.1/ipp

The word after "device for" is the name of the print queue, the string after the colon is the URI (Unified Resource Identifier) for your print queue.

You need to change your URI so that it starts with "ipp14://" instead of "ipp://". This you do with the command

lpadmin -p <queue name> -v ipp14://<rest of the URI>

or in this example with

lpadmin -p ipp-printer -v ipp14://192.168.1.1/ipp

After that make sure the print queue is cleared and enabled:

cancel -a
cupsenable ipp-printer

and try to print. Printing should work now.

2. Create a print queue with system-config-printer (click gear icon in the upper right, then choose "Printers" in the menu, or run the command "system-config-printer &" in a terminal window).

Click the "Add" button (with the green "+"), click "Network Printer" to open the network printer part, choose "Internet Printing Protocol (ipp14)", then enter the URI for your printer in the upper right, like

ipp14://192.168.1.1/ipp

Important is that you use the IP of your LiveBox/the buggy network printer and that the URI starts with "ipp14://". Click "Forward", then manually choose manufacturer and model of the printer, choose the driver (the recommended one is pre-selected), "Forward", enter desired queue name and finish the wizard.

3. If you have a print queue with a "dnssd://..." URI you can find out the corresponding "ipp://..." URI by printing a job on it (job will not actually print on your LiveBox/buggy printer) and then search your error_log for "ipp://...". Use this URI with the "ipp:" replaced by "ipp14:". Create an appropriate queue as described under 1. or 2..

Try to print on your new print queue now. It should work.

[Regression Potential]

None, as the change will only made use of if explicitly using "ipp14://..." URIs, system-config-printer does not choose these URIs automatically.

I get the following in the error log when trying to print using PostScript:

E [04/Apr/2012:11:13:04 +0100] [Job 11] Unable to add document to print job.
W [04/Apr/2012:11:13:04 +0100] Generic-PostScript: Printer does not provide REQUIRED job history.
W [04/Apr/2012:11:13:04 +0100] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Generic-PostScript-Gray..' already exists
W [04/Apr/2012:11:13:04 +0100] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Generic-PostScript-RGB..' already exists
W [04/Apr/2012:11:13:04 +0100] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Generic-PostScript' already exists

I get much more (but still no printout) in the error log when using PCL6:
E [04/Apr/2012:11:26:56 +0100] [Job 13] Job stopped due to filter errors; please consult the error_log file for details.
D [04/Apr/2012:11:26:56 +0100] [Job 13] The following messages were recorded from 11:26:56 to 11:26:56
D [04/Apr/2012:11:26:56 +0100] [Job 13] Adding start banner page "none".
D [04/Apr/2012:11:26:56 +0100] [Job 13] Adding end banner page "none".
D [04/Apr/2012:11:26:56 +0100] [Job 13] File of type application/vnd.cups-pdf-banner queued by "dooferlad".
D [04/Apr/2012:11:26:56 +0100] [Job 13] hold_until=0
D [04/Apr/2012:11:26:56 +0100] [Job 13] Queued on "Samsung_Samsung_ML-371x_Series" by "dooferlad".
D [04/Apr/2012:11:26:56 +0100] [Job 13] job-sheets=none,none
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[0]="Samsung_Samsung_ML-371x_Series"
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[1]="13"
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[2]="dooferlad"
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[3]="Test Page"
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[4]="1"
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[5]="job-uuid=urn:uuid:8f31983e-b978-39d4-50de-d082c3d801f3 job-originating-host-name=localhost time-at-creation=1333535216 time-at-processing=1333535216 AP_D_InputSlot="
D [04/Apr/2012:11:26:56 +0100] [Job 13] argv[6]="/var/spool/cups/d00013-001"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[0]="CUPS_CACHEDIR=/var/cache/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[1]="CUPS_DATADIR=/usr/share/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[2]="CUPS_DOCROOT=/usr/share/cups/doc-root"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[3]="CUPS_FONTPATH=/usr/share/cups/fonts"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[4]="CUPS_REQUESTROOT=/var/spool/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[5]="CUPS_SERVERBIN=/usr/lib/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[6]="CUPS_SERVERROOT=/etc/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[7]="CUPS_STATEDIR=/var/run/cups"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[8]="HOME=/var/spool/cups/tmp"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[9]="PATH=/usr/lib/cups/filter:/usr/bin:/usr/sbin:/bin:/usr/bin"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[10]="SERVER_ADMIN=root@JT-Linaro-ThinkPad"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[11]="SOFTWARE=CUPS/1.5.2"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[12]="TMPDIR=/var/spool/cups/tmp"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[13]="USER=root"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[14]="CUPS_SERVER=/var/run/cups/cups.sock"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[15]="CUPS_ENCRYPTION=IfRequested"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[16]="IPP_PORT=631"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[17]="CHARSET=utf-8"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[18]="LANG=en_GB.UTF-8"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[19]="PPD=/etc/cups/ppd/Samsung_Samsung_ML-371x_Series.ppd"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[20]="RIP_MAX_CACHE=128m"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[21]="CONTENT_TYPE=application/vnd.cups-pdf-banner"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[22]="DEVICE_URI=dnssd://Samsung%20ML-371x%20Series%20(SEC001599916934)._ipp._tcp.local/"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[23]="PRINTER_INFO=Samsung Samsung ML-371x Series"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[24]="PRINTER_LOCATION="
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[25]="PRINTER=Samsung_Samsung_ML-371x_Series"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[26]="PRINTER_STATE_REASONS=none"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[27]="CUPS_FILETYPE=document"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[28]="FINAL_CONTENT_TYPE=printer/Samsung_Samsung_ML-371x_Series"
D [04/Apr/2012:11:26:56 +0100] [Job 13] envp[29]="AUTH_I****"
D [04/Apr/2012:11:26:56 +0100] [Job 13] Started filter /usr/lib/cups/filter/bannertopdf (PID 5674)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Started filter /usr/lib/cups/filter/pdftopdf (PID 5675)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Started filter /usr/lib/cups/filter/foomatic-rip (PID 5676)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Started backend /usr/lib/cups/backend/dnssd (PID 5677)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Getting input from file
D [04/Apr/2012:11:26:56 +0100] [Job 13] foomatic-rip version 4.0.15.251 running...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Parsing PPD file ...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option ColorSpace
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option Resolution
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option PageSize
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option PrintoutMode
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option ImageableArea
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option PaperDimension
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option InputSlot
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option Duplex
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option ColorModel
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option PrinterResolution
D [04/Apr/2012:11:26:56 +0100] [Job 13] Added option Font
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] Parameter Summary
D [04/Apr/2012:11:26:56 +0100] [Job 13] -----------------
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] Spooler: cups
D [04/Apr/2012:11:26:56 +0100] [Job 13] Printer: Samsung_Samsung_ML-371x_Series
D [04/Apr/2012:11:26:56 +0100] [Job 13] Shell: /bin/bash
D [04/Apr/2012:11:26:56 +0100] [Job 13] PPD file: /etc/cups/ppd/Samsung_Samsung_ML-371x_Series.ppd
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR file:
D [04/Apr/2012:11:26:56 +0100] [Job 13] Printer model: Generic PCL 6/PCL XL Printer Foomatic/pxlcolor (recommended)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Job title: Test Page
D [04/Apr/2012:11:26:56 +0100] [Job 13] File(s) to be printed:
D [04/Apr/2012:11:26:56 +0100] [Job 13] <STDIN>
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] Ghostscript extra search path ('GS_LIB'): /usr/share/cups/fonts
D [04/Apr/2012:11:26:56 +0100] [Job 13] Printing system options:
D [04/Apr/2012:11:26:56 +0100] [Job 13] Pondering option 'job-uuid=urn:uuid:8f31983e-b978-39d4-50de-d082c3d801f3'
D [04/Apr/2012:11:26:56 +0100] [Job 13] Unknown option job-uuid=urn:uuid:8f31983e-b978-39d4-50de-d082c3d801f3.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Pondering option 'job-originating-host-name=localhost'
D [04/Apr/2012:11:26:56 +0100] [Job 13] Unknown option job-originating-host-name=localhost.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Pondering option 'time-at-creation=1333535216'
D [04/Apr/2012:11:26:56 +0100] [Job 13] Unknown option time-at-creation=1333535216.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Pondering option 'time-at-processing=1333535216'
D [04/Apr/2012:11:26:56 +0100] [Job 13] Unknown option time-at-processing=1333535216.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Pondering option 'AP_D_InputSlot'
D [04/Apr/2012:11:26:56 +0100] [Job 13] Unknown boolean option "AP_D_InputSlot".
D [04/Apr/2012:11:26:56 +0100] [Job 13] Options from the PPD file:
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] ================================================
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] File: <STDIN>
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] ================================================
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] Resolving "Samsung ML-371x Series (SEC001599916934)._ipp._tcp.local"...
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: +connecting-to-device
D [04/Apr/2012:11:26:56 +0100] [Job 13] Resolving "Samsung ML-371x Series (SEC001599916934)", regtype="_ipp._tcp", domain="local."...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Resolved as "ipp://192.168.0.4:631"...
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -connecting-to-device,offline-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] Executing backend "/usr/lib/cups/backend/ipp"...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Sending stdin for job...
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=0(), s="+connecting-to-device")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op='+', new_reasons=1, state_reasons=1
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: +connecting-to-device
D [04/Apr/2012:11:26:56 +0100] [Job 13] Looking up "192.168.0.4"...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Filetype: PDF
D [04/Apr/2012:11:26:56 +0100] [Job 13] Storing temporary files in /var/spool/cups/tmp
D [04/Apr/2012:11:26:56 +0100] [Job 13] hrDeviceDesc="Samsung ML-371x Series"
D [04/Apr/2012:11:26:56 +0100] [Job 13] prtMarkerColorantValue.1.1 = "Black"
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR: marker-colors=#000000,none,none,none
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR: marker-names="Black Toner Cartridge S/N:CRUM-11100735596","Fuser ","Tray 1 Roller ","Tray 1 Torque Limiter "
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR: marker-types=toner,fuser,other,other
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR: marker-levels=99,99,99,99
D [04/Apr/2012:11:26:56 +0100] [Job 13] new_supply_state=0, change_state=ffff
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -developer-low-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -developer-empty-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -marker-supply-low-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -marker-supply-empty-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -opc-near-eol-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -opc-life-over-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -toner-low-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -toner-empty-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -waste-receptacle-full-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -cleaner-life-over-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] new_state=400, change_state=ffff
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -media-low-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -media-empty-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -door-open-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: +media-jam-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -input-tray-missing-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -output-tray-missing-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -marker-supply-missing-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -output-area-almost-full-report
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -output-area-full-warning
D [04/Apr/2012:11:26:56 +0100] [Job 13] backendWaitLoop(snmp_fd=6, addr=0x7fabfd97ae58, side_cb=0x7fabfbdd1d50)
D [04/Apr/2012:11:26:56 +0100] [Job 13] File contains 2 pages
D [04/Apr/2012:11:26:56 +0100] [Job 13] Starting renderer with command: gs -dFirstPage=1 -q -dBATCH -dPARANOIDSAFER -dNOPAUSE -dNOINTERPOLATE -sDEVICE=pxlmono -r600x600 -dDuplex -dMediaPosition=0 -dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842 -sOutputFile=- /var/spool/cups/tmp/foomatic-hNvDyz
D [04/Apr/2012:11:26:56 +0100] [Job 13] Starting process "kid3" (generation 1)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Starting process "kid4" (generation 2)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Starting process "renderer" (generation 2)
D [04/Apr/2012:11:26:56 +0100] [Job 13] JCL: %-12345X@PJL
D [04/Apr/2012:11:26:56 +0100] [Job 13] <job data>
D [04/Apr/2012:11:26:56 +0100] [Job 13]
D [04/Apr/2012:11:26:56 +0100] [Job 13] Connecting to 192.168.0.4:631
D [04/Apr/2012:11:26:56 +0100] [Job 13] Connecting to printer.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Connecting to printer.", current level=INFO
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=0(), s="-cups-certificate-error")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op='-', new_reasons=1, state_reasons=2
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=0(), s="-connecting-to-device")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op='-', new_reasons=1, state_reasons=2
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -connecting-to-device
D [04/Apr/2012:11:26:56 +0100] [Job 13] Connected to printer.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Connected to printer.", current level=INFO
D [04/Apr/2012:11:26:56 +0100] [Job 13] Connected to 192.168.0.4:631...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Getting supported attributes...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Printer-Attributes: server-error-version-not-supported (server-error-version-not-supported)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Printer-Attributes returned server-error-version-not-supported.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Printer does not support IPP/2.0, trying IPP/1.1.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Printer does not support IPP/2.0, trying IPP/1.1.", current level=INFO
D [04/Apr/2012:11:26:56 +0100] [Job 13] Getting supported attributes...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Printer-Attributes: successful-ok-ignored-or-substituted-attributes (successful-ok-ignored-or-substituted-attributes)
D [04/Apr/2012:11:26:56 +0100] [Job 13] copies-supported=1-999
D [04/Apr/2012:11:26:56 +0100] [Job 13] document-format-supported (5 values)
D [04/Apr/2012:11:26:56 +0100] [Job 13] [0] = "application/octet-stream"
D [04/Apr/2012:11:26:56 +0100] [Job 13] [1] = "application/postscript"
D [04/Apr/2012:11:26:56 +0100] [Job 13] [2] = "application/x-Epson"
D [04/Apr/2012:11:26:56 +0100] [Job 13] [3] = "text/plain"
D [04/Apr/2012:11:26:56 +0100] [Job 13] [4] = "application/vnd.hp-PCL"
D [04/Apr/2012:11:26:56 +0100] [Job 13] Idle. Printer is ready to print.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Idle. Printer is ready to print.", current level=INFO
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=1(none), s="(null)")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op=' ', new_reasons=0, state_reasons=1
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: -none
D [04/Apr/2012:11:26:56 +0100] [Job 13] final_content_type="printer/Samsung_Samsung_ML-371x_Series", document_format="application/octet-stream"
D [04/Apr/2012:11:26:56 +0100] [Job 13] Validate-Job IPP/1.1
D [04/Apr/2012:11:26:56 +0100] [Job 13] printer-uri="ipp://192.168.0.4:631/"
D [04/Apr/2012:11:26:56 +0100] [Job 13] requesting-user-name="dooferlad"
D [04/Apr/2012:11:26:56 +0100] [Job 13] job-name="Test Page"
D [04/Apr/2012:11:26:56 +0100] [Job 13] document-format="application/octet-stream"
D [04/Apr/2012:11:26:56 +0100] [Job 13] Validate-Job: successful-ok (successful-ok)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Create-Job IPP/1.1
D [04/Apr/2012:11:26:56 +0100] [Job 13] printer-uri="ipp://192.168.0.4:631/"
D [04/Apr/2012:11:26:56 +0100] [Job 13] requesting-user-name="dooferlad"
D [04/Apr/2012:11:26:56 +0100] [Job 13] job-name="Test Page"
D [04/Apr/2012:11:26:56 +0100] [Job 13] document-format="application/octet-stream"
D [04/Apr/2012:11:26:56 +0100] [Job 13] Idle. Printer is ready to print.
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=1(none), s="(null)")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op=' ', new_reasons=0, state_reasons=0
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Printer-Attributes: successful-ok-ignored-or-substituted-attributes (successful-ok-ignored-or-substituted-attributes)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Create-Job: successful-ok-ignored-or-substituted-attributes (successful-ok-ignored-or-substituted-attributes)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Print file accepted - job ID 6.
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Print file accepted - job ID 6.", current level=INFO
D [04/Apr/2012:11:26:56 +0100] [Job 13] job-id=6
D [04/Apr/2012:11:26:56 +0100] [Job 13] Sending file 1 using chunking...
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Jobs: successful-ok (successful-ok)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Send-Document: client-error-not-found (client-error-not-found)
D [04/Apr/2012:11:26:56 +0100] [Job 13] Set job-printer-state-message to "Unable to add document to print job.", current level=ERROR
D [04/Apr/2012:11:26:56 +0100] [Job 13] Waiting for job to complete.
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=0(), s="+cups-ipp-conformance-failure-report,cups-ipp-missing-job-history")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op='+', new_reasons=2, state_reasons=0
D [04/Apr/2012:11:26:56 +0100] [Job 13] STATE: +cups-ipp-conformance-failure-report,cups-ipp-missing-job-history
D [04/Apr/2012:11:26:56 +0100] [Job 13] Idle. Printer is ready to print.
D [04/Apr/2012:11:26:56 +0100] [Job 13] update_reasons(attr=1(none), s="(null)")
D [04/Apr/2012:11:26:56 +0100] [Job 13] op=' ', new_reasons=0, state_reasons=2
D [04/Apr/2012:11:26:56 +0100] [Job 13] Get-Printer-Attributes: successful-ok-ignored-or-substituted-attributes (successful-ok-ignored-or-substituted-attributes)
D [04/Apr/2012:11:26:56 +0100] [Job 13] ATTR: auth-info-required=none
D [04/Apr/2012:11:26:56 +0100] [Job 13] Ready to print.
D [04/Apr/2012:11:26:56 +0100] [Job 13] renderer received signal 13
D [04/Apr/2012:11:26:56 +0100] [Job 13] Kid3 exit status: 1
D [04/Apr/2012:11:26:56 +0100] [Job 13] End of messages
D [04/Apr/2012:11:26:56 +0100] [Job 13] printer-state=3(idle)
D [04/Apr/2012:11:26:56 +0100] [Job 13] printer-state-message="Ready to print."
D [04/Apr/2012:11:26:56 +0100] [Job 13] printer-state-reasons=media-jam-warning,cups-ipp-conformance-failure-report,cups-ipp-missing-job-history
E [04/Apr/2012:11:26:58 +0100] Unable to encrypt connection from localhost - A TLS packet with unexpected length was received.
E [04/Apr/2012:11:26:58 +0100] Unable to encrypt connection from localhost - A TLS packet with unexpected length was received.
E [04/Apr/2012:11:26:58 +0100] Unable to encrypt connection from localhost - A TLS packet with unexpected length was received.

James Tunnicliffe (dooferlad) wrote :

Looking at the CUPS source this is an IPP error. I tried a different connection (dnssd://Samsung%20ML-371x%20Series%20(SEC001599916934)._pdl-datastream._tcp.local/) and it worked perfectly. Looks like the printer doesn't conform to IPP.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cupsys (Ubuntu):
status: New → Confirmed
Till Kamppeter (till-kamppeter) wrote :

IPP implementation in printer hardware is broken. We cannot do anything here. Closing ...

affects: cupsys (Ubuntu) → cups (Ubuntu)
Changed in cups (Ubuntu):
status: Confirmed → Won't Fix
Clive Jordan (clivejordan527) wrote :

This problem occurs after upgrading to Ubuntu 12.04 on my Epson SX600FW .
Printer works fine from wifes windows machine .

James Tunnicliffe (dooferlad) wrote :

@clivejordan527 Try a different protocol. My printer works if I use LPD rather than IPP.

This Bug affects me since 12.04 and a Samsung CLP-320N. No workaround until now and worked like a charm before 12.04

Till Kamppeter (till-kamppeter) wrote :

Reported to CUPS upstream as:

http://www.cups.org/str.php?L4079

Please subscribe to this bug report and answer upcoming questions there. Thanks.

gilles (maboutoune) wrote :

Before report bug here (see: #992468), I report the bug to Cups.org :
http://www.cups.org/str.php?L4064+P0+S-2+C0+I0+E0+M20+Q

After analyses of "error log", they send me this conclusion :
"Please re-contact your Linux distributor for this - the error message in the log indicates that the driver (or configuration of CUPS) you are using is not accepting the print file, so we never even try to send the job to the printer (it is never processed)."

???????????????

Randakar (randakar) wrote :

This bug needs to be reopened.

Closing it because of some hardware issue when affected hardware clearly could be driven properly in earlier versions is a cop out.
The reality is, users are affected by the software upgrade adversely. Blaming it on the hardware is silly. Even if that hardware contains a flaw, it clearly can be worked around - in this case, by choosing a different protocol.

Reopening, upstream is currently working on a workaround to make this printer work.

Changed in cups (Ubuntu):
status: Won't Fix → Confirmed
SRoesgen (s-roesgen) wrote :

Hi,

I got the same problem and made some tests on several machines. I made the discovery that the problem occurs always, when you try to print via W-LAN (Wifi). The moment I plug a cable into the PCs I have no printing problems at all.

Can anybody confirm that the he/she can make the same observation? Or is this just specific to my network?

I am only on a wired connection to my printer and have this problem
when talking to the printers built in CUPS server.

SRoesgen (s-roesgen) wrote :

@James Tunnicliffe
Damn! Then I have a different problem... ok I'll file a bug report for this one then. But thx for the fast reply.

Launchpad Janitor (janitor) wrote :
Download full text (4.8 KiB)

This bug was fixed in the package cups - 1.5.3-1

---------------
cups (1.5.3-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install: Bla...

Read more...

Changed in cups (Ubuntu):
status: Confirmed → Fix Released

New CUPS package with the following (and some addtional) fixes uploaded to precise-proposed (proposed updates for 12.04 (Precise)):

 - Crash and busy loop fixes on the USB backend
 - "usblp" kernel module blacklisted again as it also causes problems with the new USB backend
 - Lots of fixes on the IPP backend and also on the IPP server part in the CUPS daemon
 - Other networking issues

These fixes should address most of the bugs reported shortly after the release of Precise, especially the problems with USB printing and network printing. As soon as the package is approved and made available for testing and additional comment with installation instructions will get posted here. Please test the new package then and report here whether this solves your problems. We will decide on the results whether the package will be made an official update for Precise.

Please remove/cancel all jobs and turn off and turn on your printer before testing.

debdiff attached.

Changed in cups (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → High
Changed in cups (Ubuntu):
importance: Undecided → High
Changed in cups (Ubuntu Precise):
milestone: none → precise-updates
Kevin Soviero (ksoviero) wrote :

May I ask how, exactly, I use a "debdiff" to test this bug fix?

There will be made available a package for testing. As soon as the package is there, another comment with instructions will get posted here.

Hello James, or anyone else affected,

Accepted cups into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
James Tunnicliffe (dooferlad) wrote :

Hi Martin,

It will probably be some time after 6th June because I am away for a conference soon. Thanks for the fix and apologies that I can't test it sooner.

gilles (maboutoune) wrote :

Hello,

I install all the new packages proposed with "cups" (11 packages).
I restart the computer.
I try to install my printer with >system>impression.
I put this direction : ipp://192.168.1.1:631/ipp
I try to impress page test and i have the same messages :

"cups-ipp-missing-validate-job" in notifications

"Print file was not accepted." in >system>impression

In the cups error log :
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-Gray..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-RGB..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Livebox' already exists
E [25/May/2012:19:11:03 +0200] Failed to add Avahi entry for HP Photosmart b109a-m @ gilles-MS-1613: -8
E [25/May/2012:19:11:03 +0200] Failed to add Avahi entry for HP Photosmart b109a-m @ gilles-MS-1613: -8
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-Gray..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-RGB..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Livebox' already exists
E [25/May/2012:19:11:03 +0200] Failed to add Avahi entry for HP Photosmart b109a-m @ gilles-MS-1613: -8
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-Gray..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Livebox-RGB..' already exists
W [25/May/2012:19:11:03 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Livebox' already exists
E [25/May/2012:19:11:03 +0200] Failed to add Avahi entry for HP Photosmart b109a-m @ gilles-MS-1613: -8
W [25/May/2012:19:11:10 +0200] Livebox: Printer does not support REQUIRED Validate-Job operation.
E [25/May/2012:19:11:10 +0200] [Job 11] Print file was not accepted.

I try to install the printer with http://localhost:631/admin

I put http://192.168.1.1:631/ipp/
 same error : "Print file was not accepted."

I put socket://192.168.1.1:9100
returned error was : "The printer is busy."

What i do wrong?

Can you please add my PPA to your system's software sources, following the instructions under "Adding this PPA to your system" on

https://launchpad.net/~till-kamppeter/+archive/ppa

and then update your system. You should get the CUPS packages of version 1.5.3-0ubuntu2~ppa1 then. If you do not get them, try again in some hours.

Now test again and tell us whether this solves your problem.

gilles (maboutoune) wrote :
Download full text (4.8 KiB)

Till Kamppeter,
Thanks for take a look to my problem.

I add your ppa.
I delate all printers.
I install all new package (11 packages).
I restart system.
I install Printer with >system>impression>new printer> ipp://192.168.1.1:631>HP> Hplip 3.12.2

Same error : "cups-ipp-missing-validate-job"
W [26/May/2012:07:28:47 +0200] failed to CreateProfile: org.freedesktop.DBus.Error.NoReply:Message did not receive a reply (timeout by message bus)
W [26/May/2012:07:28:47 +0200] failed to CreateProfile: org.freedesktop.DBus.Error.NoReply:Message did not receive a reply (timeout by message bus)
W [26/May/2012:07:28:47 +0200] failed to CreateDevice: org.freedesktop.DBus.Error.NoReply:Message did not receive a reply (timeout by message bus)
W [26/May/2012:07:28:52 +0200] failed to CreateProfile: org.freedesktop.DBus.Error.NoReply:Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
W [26/May/2012:07:28:57 +0200] failed to CreateProfile: org.freedesktop.DBus.Error.NoReply:Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
W [26/May/2012:07:29:02 +0200] failed to CreateDevice: org.freedesktop.DBus.Error.NoReply:Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
E [26/May/2012:07:29:02 +0200] Failed to update TXT record for HP Photosmart b109a @ gilles-MS-1613: -2
W [26/May/2012:07:29:02 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Photosmart-b109a-Gray..' already exists
W [26/May/2012:07:29:02 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Photosmart-b109a-RGB..' already exists
W [26/May/2012:07:29:02 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP-Photosmart-b109a' already exists
W [26/May/2012:07:29:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Photosmart-b109a-Gray..' already exists
W [26/May/2012:07:29:03 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Photosmart-b109a-RGB..' already exists
W [26/May/2012:07:29:03 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP-Photosmart-b109a' already exists
W [26/May/2012:07:29:23 +0200] HP-Photosmart-b109a: Printer does not support REQUIRED Validate-Job operation.
E [26/May/2012:07:29:23 +0200] [Job 15] Print file was not accepted.

If I connect with Cups page and:
socket://192.168.1.1:9100
error is: "The printer is busy."
W [26/May/2012:07:44:02 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'livebox-Gray..' already exists
W [26/May/2012:07:44:02 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'livebox-RGB..' ...

Read more...

gilles (maboutoune) wrote :

Hi,

I delete all printer in CUPS

localhost - gilles [27/May/2012:09:32:56 +0200] "POST /admin/ HTTP/1.1" 200 118 CUPS-Delete-Printer successful-ok

I restart system ( with Till Kamppeter ppa) and try to install a printer called "PROBE".

I remark that:

 in "access log" CUPS write

localhost - gilles [27/May/2012:09:37:57 +0200] "POST /admin/ HTTP/1.1" 200 60 - -
localhost - - [27/May/2012:09:37:57 +0200] "POST / HTTP/1.1" 401 88 CUPS-Get-Devices successful-ok
localhost - gilles [27/May/2012:09:37:57 +0200] "POST / HTTP/1.1" 200 1688 CUPS-Get-Devices -
localhost - gilles [27/May/2012:09:37:57 +0200] "POST /admin/ HTTP/1.1" 200 3246 - -
localhost - gilles [27/May/2012:09:38:06 +0200] "POST /admin HTTP/1.1" 200 74 - -
localhost - gilles [27/May/2012:09:38:06 +0200] "POST /admin HTTP/1.1" 200 2774 - -
localhost - gilles [27/May/2012:09:38:33 +0200] "POST /admin HTTP/1.1" 200 126 - -
localhost - gilles [27/May/2012:09:38:33 +0200] "POST /admin HTTP/1.1" 200 3318 - -
localhost - gilles [27/May/2012:09:38:41 +0200] "POST /admin HTTP/1.1" 200 204 - -
localhost - - [27/May/2012:09:38:41 +0200] "POST / HTTP/1.1" 200 1578 CUPS-Get-PPDs -
localhost - gilles [27/May/2012:09:38:41 +0200] "POST /admin HTTP/1.1" 200 5614 - -
localhost - gilles [27/May/2012:09:38:52 +0200] "POST /admin HTTP/1.1" 200 183 - -
localhost - - [27/May/2012:09:38:52 +0200] "POST / HTTP/1.1" 200 1578 CUPS-Get-PPDs -
localhost - gilles [27/May/2012:09:38:52 +0200] "POST /admin HTTP/1.1" 200 5597 - -
localhost - gilles [27/May/2012:09:38:58 +0200] "POST /admin HTTP/1.1" 200 1917 - -
localhost - - [27/May/2012:09:38:58 +0200] "POST / HTTP/1.1" 200 918831 CUPS-Get-PPDs -
localhost - gilles [27/May/2012:09:38:58 +0200] "POST /admin HTTP/1.1" 200 276106 - -
localhost - gilles [27/May/2012:09:39:12 +0200] "POST /admin HTTP/1.1" 200 1963 - -
localhost - - [27/May/2012:09:39:12 +0200] "POST /admin/ HTTP/1.1" 401 331 CUPS-Add-Modify-Printer successful-ok
localhost - gilles [27/May/2012:09:39:12 +0200] "POST /admin/ HTTP/1.1" 200 331 CUPS-Add-Modify-Printer successful-ok

But in error log, CUPS write

W [27/May/2012:09:39:12 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'PROBE-Gray..' already exists
W [27/May/2012:09:39:12 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'PROBE-RGB..' already exists
W [27/May/2012:09:39:12 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-PROBE' already exists

I think that CUPS never really install the printer, but act like if the printer was install.
It's possible?
Did that can help you to find the bug?
Thanks

No, you print queue got set up, the VreateProfile warning you can ignore.

nepotech (silvan-streit) wrote :

Neither the ppa nor the proposed fixed it for me.
Printer: Samsung CLP 325W, over ipp
Error_log: Unable to add document to print job.

As the fixes done so far on CUPS' IPP backend did not solve this problem we should avoid using the IPP backend whenever possible. IPP implementations in printers are too often not conforming well with the standards. Therefore I have made a change on system-config-printer now to default to the AppSocket/JetDirect protocol with highest priority and lets IPP being used only if no other protocol is supported by the printer. Note that this is a workaround and not really a fix.

Added system-config-printer task ...

Changed in system-config-printer (Ubuntu):
status: New → In Progress
Changed in system-config-printer (Ubuntu Precise):
status: New → In Progress
Changed in system-config-printer (Ubuntu):
importance: Undecided → High
Changed in system-config-printer (Ubuntu Precise):
importance: Undecided → High
milestone: none → precise-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu9

---------------
system-config-printer (1.3.8+20120201-0ubuntu9) quantal; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu):
status: In Progress → Fix Released

Uploaded the system-config-printer package with the workaround to precise-proposed. As soon as the package is available to test on Precise, this will be announced with another comment with installation instructions. Please install and test the package then and tell us your results. We need your feedback to be able to make the package an official update for Precise.

To test the new package, install it and then remove the print queue for your printer. After that create the queue again with system-config-printer. Please use the default settings which system-config-printer suggests. Can you print with the new print queue?

For the SRU team: debdiff attached.

Changed in system-config-printer (Ubuntu Precise):
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

Hello James, or anyone else affected,

Accepted system-config-printer into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Problem solved here. Samsung ML-1860 usb connection. Thank you so much!

Reopening CUPS task, the most recent changes on CUPS do not fix this problem.

Only SRU treated in this bug report now is for system-config-printer.

Changed in cups (Ubuntu):
status: Fix Released → Confirmed
Changed in cups (Ubuntu Precise):
status: Fix Committed → Confirmed

Andre, thank you for testing, but your problem (USB-connected printer) is bug 995111 or bug 1000253, to be fixed by the same SRU for CUPS on Precise. This bug is a bout a network printing problem.

Till Kamppeter, thank you for the clarification (and the fix).

Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package cups - 1.5.3-0ubuntu1

---------------
cups (1.5.3-0ubuntu1) precise-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    de...

Read more...

Changed in cups (Ubuntu Precise):
status: Confirmed → Fix Released
rui (rui-abreu) wrote :

cups (1.5.3-0ubuntu1) did not solve the problem for me.

Reopening wrongly closed Precise task.

Changed in cups (Ubuntu Precise):
status: Fix Released → Confirmed

Rui, please check the system-config-printer in -proposed now, as described in comment #28 and comment #29.

pk4 (ul-k-ir) wrote :

Sollution in latest fix did not work for me too - HP Deskjet f4100 series

rui (rui-abreu) wrote :

Till, I installed system-config-printer from proposed and it still doesn't work.
Thank you for the time you're investing in this.

ptolonen (ptolonen) wrote :

I had same problem (Samsung CLP-325W as wireless). It was working on 11.10 but after installing clean 12.04, I couldn't get printer working. After too many tries I found this bug report. Then i enabled precise-proposed and installed the updated cups. After rebooting cups, printer and reinstalling printer, it finally works!!! Thanks a lot!!!

crf (chrisfahlman) wrote :

Perhaps system-config-printer is still not by default showing a first choice of the AppSocket/JetDirect protocol?
When I run /usr/bin/system-config-printer, it chooses IPP network printer via DNS-SD as the first connection choice.

gilles (maboutoune) wrote :

Hello Till Kamppeter,

I try with your cups ppa and the news packaged system-config-printer (gnome, comon and user).
Install packages, delete all printers, restart system.
I don't see any visual change when I install the printer, system don't proposed something particular or new
(I don't see any default settings???).
I install my printer with this URL : ipp://192.168.1.1:631/ipp
I specifies HP, model, and hpcups 3.12.2.
When i try to print test page I have the same error message:
cups-ipp-conformance-failure-report
cups-ipp-missing-validate-job
in system-config-printer

If I look the errorlog in the cups page, I have:
W [03/Jun/2012:11:08:52 +0200] PROBE: Printer does not support REQUIRED Validate-Job operation.
E [03/Jun/2012:11:08:52 +0200] [Job 23] Print file was not accepted.

I am doing something wrong?

Thanks you for your help

Download full text (4.7 KiB)

The problem is an incompatibility of CUPS' IPP backend with the printer. As the recent fixes on CUPS did not cover this problem, we have reopened the CUPS task.

One can work around the problem by connecting to the printer with another protocol than IPP, preferably JetDirect/AppSocket which is much simpler than IPP and so less prone to incompatibilities.

Therefore we have introduced the SRU on system-config-printer, to let JetDirect/AppSocket be used as default when a new print queue is created.

Everyone who still has this problem after installing both cups and system-config-printer from -proposed (note that cups is already in the official updates), please check the following:

1. Do you really have the newest packages versions?

- Run the command

dpkg -l | grep cups

in a terminal window and check whether you have lines like this:

...
ii cups 1.5.3-0ubuntu1 Common UNIX Printing System(tm) - server
...
ii cups-filters 1.0.18-0ubuntu0.1 OpenPrinting CUPS Filters
...

If you are in doubt, post the full output of the command.

Run also

dpkg -l | grep system-config-printer

All output lines should have the version number 1.3.8+20120201-0ubuntu8.1. If in doubt, post the output here.

2. Make sure that you remove your print queue and recreate it with system-config-printer. If you have a Unity desktop (icons at the left, no task line at the bottom) you get system-config-printer by clicking onm the icon in the upper right corner of the screen and choosing "Printers" in the menu or by clicking the printer icon in the system settings. If you have another desktop, run the following command in a terminal window:

system-config-printer &

- Here you remove a print queue by right clicking the icon which represents it and choosing "Delete" in the pop-up menu. Confirm the deletion in the confirmation dialog to make it actually taking place.

- After that click the "Add" button in the upper left and go through the steps of the printer setup dialog.

- At first you have to wait around 15 seconds for the network scan, until the spinning icon at the lower left disappears.

- Open the "Network Printer" section and choose your printer model. Now you have to wait some seconds until the right half of the dialog gets filled (especially if you have a fax-capable HP printer).

- Have a look at "Description" in the upper right. Please tell us what is written there.

- Please also tell us what is selected in the "Connection" list at the lower right.

- If IPP is selected ("IPP network printer via DNS-SD", "IPP network printer", "IPP", "Internet Printing Protocol", ...), please tell us all entries which are in your "Connection" list.

- If IPP is selected select something else now, preferably "AppSocket/JetDirect network printer via DNS-SD" or "AppSocket/JetDirect". If these are not available try something with "LPD", if also this is not available try something with "SMB". If you have to do this and have found a suitable entry, there is still a bug in system-config-printer. Are you sure that you...

Read more...

gilles (maboutoune) wrote :

Till,

CUPS version OK :1.5.3-0ubuntu2~ppa1
Cups-filter OK :1.0.18-0ubuntu0.1
system-config-printer-common OK:1.3.8+20120201-0ubuntu8.1
system-config-printer-gnome OK:1.3.8+20120201-0ubuntu8.1
system-config-printer-udev OK :1.3.8+20120201-0ubuntu8.1

I used Xubuntu 12.04

When I do system-config-printer & in a terminal window I have:
see "capture d'écran-19:51:02"

gilles (maboutoune) wrote :

I do "add" with green +
and find network printer
I have no result:

gilles (maboutoune) wrote :

I select Appsocket/HP jetdirect
My printer is connected to my "box" the IP address of my "box" is 192.168.1.1, the port number is default number (9100)

see attachment

I do next
system try to find drivers and ask me for my model printer: I choose HP and Photosmart b109a-m
system proposed to me hpcups 3.12.2 or hpijs 3.12.2, i choose hpcups.
I call my printer TEST

gilles (maboutoune) wrote :

I choose to print page test

?field.comment=I choose to print page test

gilles (maboutoune) wrote :

Then I have this error message : Printer is busy

Exactly the same before all updates packages when i used socket 9100.

gilles (maboutoune) wrote :

I am sorry but I don't know how to put all attachments in only one message.
I hope you will be indulgent with me...

For me nothing changed with the updates, with ipp I have "cups-ipp-missing-validate-job" and with appsocket "printer is busy".

I am not a professional, but if you ask me detailedly for something, I try to find it in my computer.

Thanks you for all your time dedicate to this bug.

gilles, you cannot add more than one attachment to one comment, at least not with the web interface of the Launchpad. Perhaps it works with the e-mail interface (mail with more than one attachment?) or via the API (custom-made application which access Launchpad).

It is really strange that system-config-printer does not show any print queue for you as you have your print queues visible in your application's print dialogs.

Can you post the output of the command

lpstat -v

Can you also check whether you have one or more of these files:

/etc/cups/client.conf
~/.cups/client.conf

If so, attach these files. After that, move the files to another directory (for example your home directory) or rename them. Then run system-config-printer again. Do you see a print queue now? If not, choose "Server"/"Connect ..." in the main menu of system-config-printer. If the "CUPS server:" field contains a remote server, try to replace it by "/var/run/cups/cups.sock" or "localhost". Try also to turn off "Require encryption". Click "Connect" and check whether system-config-printer shows print queues and your applications show the same queues (or you get no queues in both cases). Then try to add a print queue again.

Next possible problem is that your computer perhaps does not reach the printer. Are there perhaps firewalls in your network on the way to the printer? On your computer (UFW?)? On a router between the subnet with your computer and the subnet with the printer? CUPS needs port 631, IPP also needs port 631, JetDirect/AppSocket usually needs port 9100, LPD needs port 515.

Is your printer correctly configured? The protocol which you want to use (JetDirect/AppSocket, IPP, LPD, ...) must be activated in the printer. Check the web configuration interface of your printer (needs port 80). If you cannot reach it, there is something wrong with your network. Note that the configuration of the printer can get lost if you update the printer's firmware or if you use certain reset functions in the printer's web interface.

Can it be that the IP address of the printer has changed? This can especially happen if the printer gets its IP from the router via DHCP. Check the IP in the web interface of the router.

Can you run the command (install the nmap package if needed)

nmap <IP of the printer>

and post the output here?

gilles (maboutoune) wrote :

Till,

gilles@gilles-MS-1613:~$ lpstat -v
device for TEST: socket://192.168.1.1:9100

I don't have any file name "client.conf" in my PC (search with catfish and thunar)
I only have in etc/cups files named class.conf; cupsd.conf; printers.conf; snmp.conf; subscriptions.conf.

I don't have any IP address for my printer. The printer is connected by USB to my router, the IP of my router is 192.168.1.1 all PC have static address like 192.168.1.10 to 192.168.1.50.

gilles@gilles-MS-1613:~$ nmap 192.168.1.1

Starting Nmap 5.21 ( http://nmap.org ) at 2012-06-05 08:31 CEST
Nmap scan report for livebox.home (192.168.1.1)
Host is up (0.047s latency).
Not shown: 994 closed ports
PORT STATE SERVICE
23/tcp open telnet
80/tcp open http
139/tcp open netbios-ssn
631/tcp open ipp
2222/tcp open unknown
9000/tcp open cslistener

Nmap done: 1 IP address (1 host up) scanned in 0.83 seconds

I don't see 9100 port (printer busy) but 631 is open (cups-ipp-missing-validate-job)...
I try to print with 9000 port and I have a notification that is OK, print queue disappear, but printer don't print the page test.
 see attachment.
I try with 2222 port : "Traitement en cours - Connected to printer." but after 5 minutes nothing occurs, no print.
I try with socket and 631 port : "error, problem occurs, print stopped"

Printer connected in usb to my PC : works perfect.
Printer connected usb to one PC and configure shared with system-config : I can print with another PC (the both PC connected with Ethernet cable to my router)
Printer connected by usb to the router : I can't print with 12.04 but he works perfect with 11.04 and 11.10.

I don't used any firewall in my router or in my PC

I never configure my printer before and I don't know how to do that, my router don't return me any IP address for my printer:
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
Configuration de l'équipement :

   Nom d'équipement : TEST
   ID Produit : 03f0 / Photosmart B109a
   Type : Périphérique

Configuration de la connexion de l'équipement :

 Type d'accès : USB
         Statut : Connecté
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

Thanks for your patience...

According to the open ports it seems that the router supports printing only via IPP. Neither socket nor LPD is available. Perhaps one can print also via SMB, but often the SAMB port (139) is only open for NAS (network-applied storage) functionality of the router.

Port 631 only accepts IPP, the ports 2222 and 9000 are not for printing.

Which model is your router?

Download full text (22.5 KiB)

Exactly the same situation with printer HP Photosmart c3180 connected on
Livebox SAGEM ( printer port 631)

2012/6/5 gilles <email address hidden>

> Till,
>
> gilles@gilles-MS-1613:~$ lpstat -v
> device for TEST: socket://192.168.1.1:9100
>
> I don't have any file name "client.conf" in my PC (search with catfish and
> thunar)
> I only have in etc/cups files named class.conf; cupsd.conf; printers.conf;
> snmp.conf; subscriptions.conf.
>
> I don't have any IP address for my printer. The printer is connected by
> USB to my router, the IP of my router is 192.168.1.1 all PC have static
> address like 192.168.1.10 to 192.168.1.50.
>
> gilles@gilles-MS-1613:~$ nmap 192.168.1.1
>
> Starting Nmap 5.21 ( http://nmap.org ) at 2012-06-05 08:31 CEST
> Nmap scan report for livebox.home (192.168.1.1)
> Host is up (0.047s latency).
> Not shown: 994 closed ports
> PORT STATE SERVICE
> 23/tcp open telnet
> 80/tcp open http
> 139/tcp open netbios-ssn
> 631/tcp open ipp
> 2222/tcp open unknown
> 9000/tcp open cslistener
>
> Nmap done: 1 IP address (1 host up) scanned in 0.83 seconds
>
> I don't see 9100 port (printer busy) but 631 is open
> (cups-ipp-missing-validate-job)...
> I try to print with 9000 port and I have a notification that is OK, print
> queue disappear, but printer don't print the page test.
> see attachment.
> I try with 2222 port : "Traitement en cours - Connected to printer." but
> after 5 minutes nothing occurs, no print.
> I try with socket and 631 port : "error, problem occurs, print stopped"
>
> Printer connected in usb to my PC : works perfect.
> Printer connected usb to one PC and configure shared with system-config :
> I can print with another PC (the both PC connected with Ethernet cable to
> my router)
> Printer connected by usb to the router : I can't print with 12.04 but he
> works perfect with 11.04 and 11.10.
>
> I don't used any firewall in my router or in my PC
>
> I never configure my printer before and I don't know how to do that, my
> router don't return me any IP address for my printer:
> XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
> Configuration de l'équipement :
>
> Nom d'équipement : TEST
> ID Produit : 03f0 / Photosmart B109a
> Type : Périphérique
>
> Configuration de la connexion de l'équipement :
>
> Type d'accès : USB
> Statut : Connecté
> XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
>
> Thanks for your patience...
>
> ** Attachment added: "Capture d'écran - 05062012 - 08:51:02.png"
>
> https://bugs.launchpad.net/ubuntu/+source/cups/+bug/973270/+attachment/3175909/+files/Capture%20d%27%C3%A9cran%20-%2005062012%20-%2008%3A51%3A02.png
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (992468).
> https://bugs.launchpad.net/bugs/973270
>
> Title:
> Printer does not provide REQUIRED job history.
>
> Status in “cups” package in Ubuntu:
> Confirmed
> Status in “system-config-printer” package in Ubuntu:
> Fix Released
> Status in “cups” source package in Precise:
> Confirmed
> Status in “system-config-printer” source package in Precise:
> Fix Committed
>
> Bug description:
> Trying to print to a Samsung ML-3710ND...

crf, Rui, pk4, please tell us which printer you have, how it is connected to the network, directly via ethernet cable or WLAN, or via a printbox/router/NAS, which model of printbox/router/NAS? Please run the command

lpinfo -v

in a terminal window and post the output here.

Please also run

nmap <IP of the printer or printbox/routerNAS>

and post the output here.

Follow also my instructions in comment #50.

ptolonen, can you run the command

lpstat -v

in a terminal window and post the output here?

I only want to know this to find out which SRU solved your problem and how.

gilles (maboutoune) wrote :

Till,

My router is a LiveBox 2 FR sagem
My router find alone my printer when I another plug it (model, ...) after delete it in the configuration page of the router.
I find in the web that LiveBox 2 use "ipp 1.1" protocol.

I install the printer in my PC with USB fine:
gilles@gilles-MS-1613:~$ lpstat -v
device for Photosmart-B109a-m: hp:/usb/Photosmart_B109a-m?serial=CN05LGD0T605C7

system-config-printer don't find the printer at 192.168.1.1:631
hplip-gui (hptools) also don't find the printer connected to the router.

gilles@gilles-MS-1613:~$ lpinfo -v
network beh
network smb
network lpd
network ipps
network https
network ipp
network http
network socket
direct hp
direct hpfax

Thanks...

gilles, thank you, then your bug is bug 945028.

crf (chrisfahlman) wrote :

It is working as expected. System-config-printer finds my printer and the first choice is AppSocket JetDirect for protocol.

The reason it wasn't working before was because I had another system-config-printer is /usr/local, which I'd installed earlier to see if it would help. Even though I ran /usr/system-config-printer, I guess it was pick up certain files from the other one installed. My fault.

crf, ptolonen, thank you very much for testing. The new system-config-printer seems to avoid IPP as much as possible as intended, so I am marking the SRU for system-config-printer as verified.

ptolonen, independent of this please answer comment #55.

Rui, pk4, most probably you are running into problems where the SRU on system-config-printer does not help, like an IPP-only printer or a Livebox. Please let us know about your situation by answering comment #54. Thanks.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.8+20120201-0ubuntu8.1

---------------
system-config-printer (1.3.8+20120201-0ubuntu8.1) precise-proposed; urgency=low

  * debian/patches/83_improved-sorting-of-device-lists.patch: Improved sort
    order of device entries, so that in the "Connections" list of a detected
    network printer "AppSocket/JetDirect" always has highest priority and
    "IPP" has lowest. This way we avoid that network printers get set up
    with IPP connection, as many printers do not conform to the IPP
    standards. "AppSocket/JetDirect" is a very simple protocol which usually
    works (Works around LP: #945028, LP: #973270, LP: #990734, LP: #992468,
    LP: #992982).
 -- Till Kamppeter <email address hidden> Tue, 29 May 2012 19:26:31 +0200

Changed in system-config-printer (Ubuntu Precise):
status: Fix Committed → Fix Released

I have uploaded a modified CUPS package to my PPA now. Please add my PPA to your system as described on

https://launchpad.net/~till-kamppeter/+archive/ppa

in the section "Adding this PPA to your system" and then install the new CUPS package, preferably by simply doing a full system update. The CUPS version must be 1.5.3-0ubuntu2~ppa3.

This CUPS version contains two IPP backends: One is called "ipp" and is the new one of CUPS 1.5.x. This version does not work with your printer. The other is called "ipp14" and is the IPP backend of CUPS 1.4.x, the backend which got used in Natty (11.04) and Oneiric (11.10 with all updates). This backend should work with your printer, as Ubuntu 11.10 worked for you.

So I want to ask you to test with this backend.

Here are ways to get it used:

1. In a terminal window, run the command

lpstat -v

This gives you a list with all print queues. Entries for your non-working printer look like this:

device for ipp-printer: ipp://192.168.1.1/ipp

The word after "device for" is the name of the print queue, the string after the colon is the URI (Unified Resource Identifier) for your print queue.

You need to change your URI so that it starts with "ipp14://" instead of "ipp://". This you do with the command

lpadmin -p <queue name> -v ipp14://<rest of the URI>

or in this example with

lpadmin -p ipp-printer -v ipp14://192.168.1.1/ipp

After that make sure the print queue is cleared and enabled:

cancel -a
cupsenable ipp-printer

and try to print. Does it work now?

2. Create a print queue with system-config-printer (click gear icon in the upper right, then choose "Printers" in the menu, or run the command "system-config-printer &" in a terminal window).

Click the "Add" button (with the green "+"), click "Network Printer" to open the network printer part, choose "Internet Printing Protocol (ipp14)", then enter the URI for your printer in the upper right, like

ipp14://192.168.1.1/ipp

Important is that you use the IP of your printer and that the URI starts with "ipp14://". Click "Forward", then manually choose manufacturer and model of the printer if needed, choose the driver if needed (the recommended one is pre-selected), "Forward", enter desired queue name and finish the wizard.

3. If you have a print queue with a "dnssd://..." URI you can find out the corresponding "ipp://..." URI by printing a job on it (job will not actually print on your printer) and then search your error_log for "ipp://...". Use this URI with the "ipp:" replaced by "ipp14:". Create an appropriate queue as described under 1. or 2..

Try to print on your new print queue now. It should work.

@Till;
I used your package to be able to use my Samsung CLX-3815FN Network printer (connected via Ethernet LAN) to be able to print again using IPP(14) with the proprietary Samsung printing driver that was packaged by http://www.bchemnet.com/suldr/

Maarten, thank you very much for testing. The ipp14 fallback backend will get included in the next CUPS SRU.

nepotech (silvan-streit) wrote :

The ipp14 backend also works with Samsung CLP 325W.
Thank you, Till

Changed in cups (Ubuntu):
status: Confirmed → Triaged
Changed in cups (Ubuntu Precise):
status: Confirmed → Triaged
Sérgio Almeida (mephx-x) wrote :

I have read a few dozens of bug reports regarding this and similar issues always with the same message:

"Unable to add document to print job"

All bug reports are misleading the real bug fixes.

I can confirm that #43 is not an accurate explanation for what is happening and is a lame explanation. (sorry, had to)

server: running an ubuntu 12.04 (upgraded from 10.04) server with cups 1.5.3-0ubuntu1.

client1: running an ubuntu 12.04 (fresh install) client with cups 1.5.3-0ubuntu1.
client2: running an ubuntu 12.04 (upgraded since 8.04) client with cups 1.5.3-0ubuntu1.
client3: running an ubuntu 12.04 (upgraded since 9.04) client with cups 1.5.3-0ubuntu1.

all clients share the same cupsd.conf and printers.conf. all clients on the same network.

server is connected to printer through jetdirect. test page from cups is ok.

all clients connects to cups server using http://server:631/printers/printer

server requires no authentication for printing, all the internal network can use this cups server.

client1: (FAILS)

D [21/Jun/2012:17:28:04 +0100] PID 9736 (/usr/lib/cups/filter/gstoraster) exited with no errors.
D [21/Jun/2012:17:28:04 +0100] PID 9737 (/usr/lib/cups/filter/hpcups) exited with no errors.
D [21/Jun/2012:17:28:04 +0100] [Job 29] Send-Document: cups-upgrade-required (Upgrade Required)
E [21/Jun/2012:17:28:04 +0100] [Job 29] Unable to add document to print job.
D [21/Jun/2012:17:28:04 +0100] [Job 29] Set job-printer-state-message to "Unable to add document to print job.", current level=ERROR
I [21/Jun/2012:17:28:04 +0100] [Job 29] Waiting for job to complete.

client2: (SUCCESS)

D [21/Jun/2012:18:25:45 +0100] PID 15529
(/usr/lib/cups/filter/gstoraster) exited with no errors.
D [21/Jun/2012:18:25:45 +0100] PID 15530 (/usr/lib/cups/filter/hpcups)
exited with no errors.
D [21/Jun/2012:18:25:45 +0100] [Job 575] Send-Document: successful-ok
(successful-ok)
I [21/Jun/2012:18:25:45 +0100] [Job 575] Waiting for job to complete.

client3: (SUCCESS)

D [21/Jun/2012:18:16:57 +0100] [Job 462] PID 28307 (pdftops) exited with no errors.
D [21/Jun/2012:18:16:57 +0100] [Job 462] PID 28308 (pstops) exited with no errors.
D [21/Jun/2012:18:16:57 +0100] PID 28305 (/usr/lib/cups/filter/pdftops) exited with no errors.
D [21/Jun/2012:18:16:57 +0100] [Job 462] Send-Document: successful-ok (successful-ok)
I [21/Jun/2012:18:16:57 +0100] [Job 462] Waiting for job to complete.

#61 is not a solution for the problem.

I can also confirm that this bug happens exactly the same way in a macbook air with cups 1.5.something with exactly the same server. (Sorry I have no logfile).

Therefore, I conclude from my readings:

"Printers don't respect ipp."

"Then I'm not using ipp for printer comm."

"Cups servers can't communicate with each other using the same ipp version."

"Cups doesn't respect it's own ipp."

My opinion: This is a cups bug.

worth checking: (with despise)

http://www.cups.org/str.php?L4125+Qversion:1.5

Sorry for the ranting style comment. Sometimes it's the only way. Hope it helps.

rui (rui-abreu) wrote :

Till,

Good news! I installed all your packages from https://launchpad.net/~till-kamppeter/+archive/ppa

After that, I changed the printer ipp URL from http//zonhub.home:631/printers/ML1660Series (yes, this was the correct IPP URL before the upgrade to 12.03) to ipp14://zonhub.home:631/printers/ML1660Series and it now works.

Thank you

crf (chrisfahlman) wrote :

After installing these cups packages so as to be able to use the cups 1.4 backend, upgrading to ubuntu+1 had some problems. It left the cups package broken.

I have uploaded a new CUPS version, 1.5.3-0ubuntu2~ppa11 to my PPA now. Please upgrade to this version and now do another test with the "ipp://..." URI again (not the "ipp14://..." of comment #61). Does this work now? Please also with the "ipp://..." URI add "?version=1.1" or "?version=1.0" to the end of the device URI (example: "http://zonhub.home:631/printers/ML1660Series?version=1.0" or "ipp://zonhub.home:631/printers/ML1660Series?version=1.0"). Does one or both of these possibilities work? Please tell. If nothing works, return to using "ipp14://...".

rui (rui-abreu) wrote :

Till,

I upgraded the packages and tried what you suggested. Didn't work. "ipp14://..." is the only thing that is working.

I find same here with a Samsung CLP-325 and 1.5.3-0ubuntu2~ppa11. ipp14 still works, ipp still does not, even with or without ?version=1.[0,1]

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package cups - 1.5.3-3

---------------
cups (1.5.3-3) experimental; urgency=low

  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found.
     - Soft reset specific to the "PRINTER" device class. This allows a
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows to work around problems with bi-di communications,
       especially also a delay at the end of the job caused by closing the
       read channel (happens only for some devices, LP: #1001028). Also
       useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253, perhaps also LP: #995111).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer (LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2) do not work with the current IPP backend (LP: #945028,
    LP: #973270, LP: #990734, LP: #992468, LP: #992982).
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch: Backported latest
    fixes on the IPP backend from upstream.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install, debian/cups.preinst, debian/cups.postinst,
    debian/cups.postrm:...

Read more...

Changed in cups (Ubuntu):
status: Triaged → Fix Released
Changed in cups (Ubuntu Precise):
milestone: precise-updates → ubuntu-12.04.1
description: updated
Changed in cups (Ubuntu Precise):
status: Triaged → Fix Committed

Uploaded proposed fix for Precise (ipp14 backend added) to the precise-proposed package repository. As soon as it gets approved we will post another comment here with instructions how to install and test it. Please test it that as your feedbvack here is required for making the package an official update.

For the SRU team: debdiff attached to bug 945028: https://bugs.launchpad.net/ubuntu/+source/cups/+bug/945028/+attachment/3219011/+files/cups_1.5.3-0ubuntu1_1.5.3-0ubuntu2.debdiff

SRU is for bug 945028, bug 973270, bug 987485, bug 997040, bug 1000253, and bug 1001028.

tags: removed: verification-done
Changed in cups (Ubuntu Precise):
assignee: nobody → Till Kamppeter (till-kamppeter)
Stéphane Graber (stgraber) wrote :

Please use "In progress" instead of "Fix commited" as the status for bugs that have a fix in the queue but not yet accepted to -proposed, otherwise it's making our reports quite confusing...
The SRU script will automatically changed it to "Fix commited" when it lands in -proposed and then "Fix released" when it lands in -updates.

Thanks

Changed in cups (Ubuntu Precise):
status: Fix Committed → In Progress

I'm also experiencing these problems.

But in my case i am able to print text from gedit and print HTML (including images) from Firefox. I cannot however print from Inkskape or print a PDF from Evince. I've updated to cups 1.5.3 and installed the latest version of HPLIP. Model HP CP1515n and worked flawlessly in the previous 11.10 release.

For your information ipp is not directly listed as an option in the list when i try to install one of these printers. I can choose between HPLIP and Appsocket/HP jetdirect.

I think the three important lines in my error_log file are:

D [13/Jul/2012:22:33:47 +0200] [Job 42] Operand stack:
D [13/Jul/2012:22:33:47 +0200] [Job 42] true --nostringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-- --nostringval-- true --nostringval-- .LockSafetyParams true %MediaSource 0 %MediaDestination 0 LeadingEdge 0 --nostringval-- --nostringval-- --nostringval-- 0 --nostringval-- false --nostringval--
D [13/Jul/2012:22:33:47 +0200] [Job 42] Rendering completed

I've also tested printing an image from EOG and that works! It seems like problems only occur when the printer has to deal with raster vector images like PDF and SVG.

Evertjan, your problem is not the problem discussed in this bug report. Your error log contains

D [13/Jul/2012:22:33:47 +0200] [Job 42] argv[5]="InputSlot=Auto number-up=1 PageSize=Custom.BrA3_S MediaType=Glossy noOptionDuplex OutputMode=Best ColorModel=RGB Duplex=None job-uuid=urn:uuid:f76c2ee9-31be-316e-7cb6-7764469f48f3 job-originating-host-name=localhost time-at-creation=1342211627 time-at-processing=1342211627"

This means that the application sends a broken PageSize attribute: "PageSize=Custom.BrA3_S". So your problem is bug 998156.

Thank you Till. My fault, the page was setup as A3 in the print dialog of Evince. Although it is strange that the job gets marked as stop in the printer spool and HPLIP says job completed. I think both should report an error instead. Will report this in bug 998156. It seems like the newest cup 1.5.3. fixes the general print problems.

Hello James, or anyone else affected,

Accepted cups into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cups/1.5.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cups (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: hw-specifc

After more than one week no one of the users suffering this bug verified the fix, but we should apply the SRU anyway.

- The other 5 bugs covered by the SRU got all verified. These bugs fixed improve the 12.04.1 release a lot.

- The fix for this bug (addition of the ipp14 backend) also fixes the verified bug 945028.

- There is no regression potential at all, as the ipp14 backend is not used by default, in automated printer setups. It is only used when manually selecting it, as described in comment #61 or in the verification instructions in the bug description.

Clint Byrum (clint-fewbar) wrote :

Till I agree, and with 44 affected here on launchpad, there is a definite need for a fix.

Anyway, it being hardware specific, and the 12.04.1 release approaching, I'm going to mark it as verification-done and get cups into precise-proposed.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package cups - 1.5.3-0ubuntu2

---------------
cups (1.5.3-0ubuntu2) precise-proposed; urgency=low

  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found (LP: #1000253, LP: #1001028).
     - Soft reset specific to the "PRINTER" device class. This allows a
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows to work around problems with bi-di communications,
       especially also a delay at the end of the job caused by closing the
       read channel (happens only for some devices, LP: #1001028). Also
       useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer, LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - Do a printer reset after each job, this makes the Prolific USB ->
       Parallel adapter finally work (LP: #987485) and makes it unnecessary
       to blacklist the usblp kernel module for some printers (LP: #997040).
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2 and some Samsung printers) do not work with the current IPP
    backend (LP: #945028, LP: #973270).
  * debian/local/blacklist-cups-usblp.co...

Read more...

Changed in cups (Ubuntu Precise):
status: Fix Committed → Fix Released

I am experiencing this bug again with the cups 1.5.3-0ubuntu3. How could I downgrade to 1.5.3-0ubuntu2?

I could downgrade by:
1) Uninstalling cups,
2) Download version 1.5.3-0ubuntu2 by going to https://launchpad.net/ubuntu/precise/+source/cups/1.5.3-0ubuntu2 and choosing appropriated build (in my case amd64)
3) Install the deb downloaded (in my case it was cups_1.5.3-0ubuntu2_amd64.deb )

Now it is working again.

Chris Halse Rogers (raof) wrote :

@André: I can see no obvious reason why 1.5.3-0ubuntu3 would reintroduce this bug - could you please check if updating again to cups 1.5.3-0ubuntu3 (this should be as simple as running update-manager) breaks it again for you?

Once we've verified that 1.5.3-0ubuntu3 is the problem we'll need to work out why.

I have made a mistake. The bug I am experiencing is probably
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/995111 because my
printer is connected to usb.
As it is one of my work printer and I will be in vacation until September,
I won't be able to test until then. But I will be glad to test and
troubleshoot this bug the next month.
Best regards.

Chris Halse Rogers (raof) wrote :

Thanks for replying!

Am I correct in understanding that cups 1.5.3-0ubuntu2 *works* for your printer, and cups 1.5.3-0ubuntu3 *does not* work for your printer? If that is the case then we've still got a severe problem. Pointing to bug #995111 should help us work out what it is, though. Thanks!

That's correct, version 1.5.3-0ubuntu2 *works* , and cups 1.5.3-0ubuntu3
*does not* work, i. e., the problem I had before has returned: sometimes it
prints and sometimes it won't. If I unplug and plug it again, increases the
chance of printing.
The printer is a Samsung ML-1860 connected to the usb.
Best regards.

Simo Makkonen (simo-makkonen) wrote :

Hi,
I have problems with Samsung SCX-4500W connected through W-LAN. OS is Ubuntu 12.04 and CUPS version 1.5.3-0ubuntu2. Identification and installation of the network printer was ok, but I can't print. The printer just indicates "busy" and "... printer possibly not connected",

Simo, can you please update your system, the current cups version is 1.5.3-0ubuntu4.

Mohd (askarimm) wrote :
Download full text (5.5 KiB)

I'm using ubuntu 12.04 LTS. CUPS version 1.5.3-0ubuntu4
I have a router with on-board print server from my ISP (Sagem F@ast 2804STC). The print queue will be on http://192.168.1.1:631/printers/"The name you specifiy in your router setup" {This works perfectly for Windows}

In ubuntu, I succeeded adding my printer using URI ipp14://192.168.1.1:631/printers/HP. However, I noticed that I'll only be able to accomplish one print job successfully. Any other jobs I send to my printer will not print, one will disappear from the queue without printing and the rest will keep pending. The printer status will change to "Stopped - Print file was not accepted (Success)!"

If I disable/re-enable my print server on my router, I'll be able to print another print job, ONLY one job, then I'll go to the same problem. If I turn off/on my printer, or delete it from ubuntu and re-define it, it will not work also; only disable/re-enable my print server would help printing another one job.

N.B:
If I connect my printer directly to my computer through USB it works fine with the drivers I have (ubuntu standard in addition to HPLIP drivers; all work). I also face this problem with 2 printers HP Color LaserJet 1312 MFP, and HP Deskjet 895 Cxi. I have no problem at all with Windows XP (dual booting)

Part of log:
W [31/Oct/2012:14:12:45 +0300] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP' already exists
E [31/Oct/2012:14:12:45 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:17:12 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:17:48 +0300] [Job 340] Stopping unresponsive job!
E [31/Oct/2012:14:18:53 +0300] [Job 341] Print file was not accepted (Success)!
W [31/Oct/2012:14:18:53 +0300] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Gray..' already exists
W [31/Oct/2012:14:18:53 +0300] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-RGB..' already exists
W [31/Oct/2012:14:18:53 +0300] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP' already exists
E [31/Oct/2012:14:18:53 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:18:53 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:21:35 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
W [31/Oct/2012:14:22:36 +0300] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-Gray..' already exists
W [31/Oct/2012:14:22:36 +0300] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP-RGB..' already exists
W [31/Oct/2012:14:22:36 +0300] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-HP' already exists
E [31/Oct/2012:14:22:36 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:22:36 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
E [31/Oct/2012:14:23:05 +0300] Failed to update TXT record for HP Deskjet 895c @ mma-MM061: -2
W [31/Oct/2012:14:23:11 +0300] failed to C...

Read more...

Paul Whipp (paul-whipp) wrote :

I am using 13.04 with cups 1.6.2-1ubuntu5

I am seeing the same symptoms as the initial bug with a CLP-620ND printer failing to print anything other than plain text.

It reports the errors:

Printer 'clp620': 'cups-ipp-conformance-failure-report'.
Printer 'clp620': 'cups-ipp-missing-send-document'
Printer 'clp620': 'paused'

in its status window.

It exhibits the same behaviour if added as 'LPD...' and the same behaviour but a different error message ('media-jam') if added using the AppSocket/JetDirect option (there is no media jam - the printer never shifts its media and reports 'ready' - it also continues to function fine from 10.04 and from Windows although it does sometimes report a non-existent 'media-jam' in 10.04).

This printer works fine when printed to from windows or from Ubuntu 10.04.

I don't know if/how I can try the IPP14 workaround mentioned above in 13.04.

John Rose (johnaaronrose) wrote :

This bug is back again in Precise: intermittently and sometimes it clears by itself. I have a Samsung SCX-472x printer. I'm using 64 bit which has cups 1.5.3-0ubuntu8. I'm interested in using the fix (detailed in the original report). However, instead of the URI of the print queue being of the form ipp://192.168.1.1/ipp, 'lpstat -v' shows:
device for Samsung-SCX-472x-Series: dnssd://Samsung%20SCX-472x%20Series%20(SEC001599D2245B)._ipp._tcp.local/

What should I put in the lpadmin command to fix this?

John Rose (johnaaronrose) wrote :

I just noticed instruction 3 (after instruction 1 about the lpstat & lpadmin commands: I suggest that the fix should have instruction 1 amended so that people know to read instruction 3 for the dnssd case). I tried to print, got the printer error & inspected /var/log/cups/error_log (is that the correct log?)but it didn't show anything with ipp. Contents attached. page_log & access_log were also of no help. What do I do to fix this?

John Rose (johnaaronrose) wrote :

I forgot to mention that my Samsubg SCX-472x printer is connected to my router & that I have the same problem on 32 bit Precise. Also, I previously used AppSocket/HPJetDirect and that gave different problems.

John Rose (johnaaronrose) wrote :

I just tried deleting the printer & adding it again using AppSocket/HPJetDirect. However, when I print a document nothing happens & there's no error message, even though it's in the print queue.

Will (will-berriss) wrote :

Thank you so much for comment #61

ipp14 got my Samsung SCX-4623FW printing on Ubuntu 12.04 64-bit :)

Thank you!

To post a comment you must log in.